Name:           perl-libnet
Version:        3.11
Release:        420
Summary:        Perl clients for various network protocols
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/libnet
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/libnet-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(Carp) perl(constant) perl(Errno) perl(Exporter) perl(Fcntl)
BuildRequires:  perl(FileHandle) perl(IO::Select) perl(IO::Socket) >= 1.05 perl(IO::Socket::IP) >= 0.25 perl(POSIX)
BuildRequires:  perl(Socket) >= 2.016 perl(Symbol) perl(Time::Local) perl(IO::Socket::SSL) >= 2.007
#For Test:
BuildRequires:  perl(Config) perl(Cwd) perl(File::Temp) perl(IO::File) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Basename)
Requires:       perl(IO::Socket) >= 1.05
Requires:       perl(IO::Socket::IP) >= 0.25
Requires:       perl(POSIX)
Requires:       perl(Socket) >= 2.016
Requires:       perl(Digest::MD5)
Suggests:       perl(Authen::SASL)
Suggests:       perl(MIME::Base64)
Suggests:       perl(IO::Socket::SSL) >= 2.007
Conflicts:      perl < 4:5.22.0-347

%description
libnet is a collection of Perl modules which provides a simple
and consistent programming interface (API) to the client side
of various protocols used in the internet community.

%package_help

%prep
%autosetup -n libnet-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license Artistic Copying LICENCE
%doc Changes README
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.11-420
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.11-419
- Package init
